KABC::Resource::ConstIterator Class Reference

`#include <resource.h>`

## Public Member Functions

| ConstIterator (const ConstIterator &)
| ConstIterator (const Iterator &)
virtual ConstIterator & | operator= (const ConstIterator &)
virtual const Addressee & | operator* () const
virtual ConstIterator & | operator++ ()
virtual ConstIterator & | operator++ (int)
virtual ConstIterator & | operator-- ()
virtual ConstIterator & | operator-- (int)
virtual bool | operator== (const ConstIterator &it)
virtual bool | operator!= (const ConstIterator &it)

## Public Attributes

ConstIteratorData * | d

## Detailed Description

Resource Const Iterator.

This class provides a const iterator for resource entries.

Definition at line 94 of file resource.h.

The documentation for this class was generated from the following files:

- resource.h
- resource.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys